acia_baud	equ	$E645
acia_control	equ	$E646
acia_data	equ	$E647

	org	$100

	ldx	#logo1
	int	$23

	ldab	#$3		; init SIO
	stab	acia_control	;

	ldab	#$6		; set baud 9600
	stab	acia_baud	; not SIO, specific Pyldin reg
	ldab	#$51		; 8 bit, 2 stop, 1:16f
	stab	acia_control	; set SIO

mainLoop
	ldab	#%00000001	; 
read1
	bitb	acia_control	;
	bne	read2		; 
	int	$10
	inca
	bne	sendChar
	bra	read1
read2
	ldaa	acia_data	;
	int	$22		; 
	bra	mainLoop

sendChar
	int	$20
	cmpa	#$c0
	bne	s1
	ldaa	#$0a
s1
	int	$22
	ldab	#%00000010	; 
write1
	bitb	acia_control
	bne	write1		; 
	staa	acia_data	; 

	bra	mainLoop

logo1
	db	10,10,10,'Welcome to SIO microterminal!',10,10,10,0
